Keywords and GEO
List the sources citing the site
Domains, and their pages, that AI answers cite when they mention the site, most cited first. The ranking is bounded by the Sorank configuration. Read as the Sorank dashboard shows it to the same user. Does not trigger a new analysis or consume GEO quota.
GET
/
profiles
/
{profile_id}
/
geo
/
citing-sources
Error
A valid request URL is required to generate request examples{
"data": {
"sources": [
{
"domain": "<string>",
"total_citations": 123,
"urls": [
{
"url": "<string>",
"count": 123
}
]
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"sources": [
{
"domain": "<string>",
"total_citations": 123,
"urls": [
{
"url": "<string>",
"count": 123
}
]
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
